{% extends './base.html' %}

{% block title %}Lista Empleados{% endblock %}

{% block customCSS %}
<link rel="stylesheet" href="{{ url_for('static', filename='css/list_employees.css') }}">
{% endblock %}

{% block content %}
<div class="container">
    <h1 class="text-center" style="margin-top: 40px;">Empleados Registrados</h1>
    <div class="row">
        <div class="col-md-12 mx-auto">
            <div class="table-responsive">
                <table class="table" style="margin-top: 40px;">
                    <thead>
                        <tr class="text-center">
                            <th scope="col">ID</th>
                            <th scope="col">Nombre</th>
                            <th scope="col">Apellido Paterno</th>
                            <th scope="col">Apellido Materno</th>
                            <th scope="col">Email</th>
                            <th scope="col">Contraseña</th>
                            <th scope="col">Tipo Empleado</th>
                        </tr>
                    </thead>
                    <tbody class="table-group-divider text-center">
                        {% for empleado in empleados %}
                        <tr>
                            <th scope="row">{{ empleado[0] }}</th>
                            <td>{{ empleado[1] }}</td>
                            <td>{{ empleado[2] }}</td>
                            <td>{{ empleado[3] }}</td>
                            <td>{{ empleado[4] }}</td>
                            <td><input class="password-input text-center" type="password" value="{{ empleado[5] }}" onclick="mostrarContraseña(this)"></td>
                            <td>{{ empleado[6] }}</td>
                            <td>
                                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#editarEmpleadoModal{{ empleado[0] }}">
                                    Editar
                                  </button>
                            </td>
                            <td>
                                <form action="{{ url_for('eliminar_empleado', id=empleado[0]) }}" method="POST">
                                    <button type="submit" class="btn btn-danger">Eliminar</button>
                                </form>
                            </td>
                        </tr>
                        <div class="modal fade" id="editarEmpleadoModal{{ empleado[0] }}" tabindex="-1" aria-labelledby="editarEmpleadoModalLabel{{ empleado[0] }}" aria-hidden="true">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h1 class="modal-title fs-5" id="editarEmpleadoModalLabel{{ empleado[0] }}">Empleado</h1>
                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <form action="{{ url_for('edit_employees', id=empleado[0]) }}" method="POST">
                                            <fieldset disabled>
                                                <label for="disabledTextInput">Id Empleado</label>
                                                <input type="text"  id="disabledTextInput" class="form-control mb-3" name="id" value="{{ empleado[0] }}">
                                            </fieldset>

                                            <label>Nombre</label>
                    	                    <input type="text" class="form-control mb-3" name="nombre" value="{{ empleado[1] }}">

                                            <label>Apellido Paterno</label>
                    	                    <input type="text" class="form-control mb-3" name="ap_paterno" value="{{ empleado[2] }}">

                                            <label>Apellido Materno</label>
                    	                    <input type="text" class="form-control mb-3" name="ap_materno" value="{{ empleado[3] }}">

                                            <label>Email</label>
                    	                    <input type="text" class="form-control mb-3" name="email" value="{{ empleado[4] }}">

                                            <label>Contraseña</label>
                    	                    <input type="text" class="form-control mb-3" name="contraseña" value="{{ empleado[5] }}">
                                            
                                            <div class="form-group">
                                                <label>Tipo Empleado</label>
                                                <select class="form-control" id="tipo_empleado" name="tipo_empleado">
                                                    <option>{{ empleado[6] }}</option>
                                                    <option value="Administrador">Administrador</option>
                                                    <option value="Bodeguero">Bodeguero</option>
                                                    <option value="Empleado">Empleado</option>
                                                </select>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-primary" data-bs-dismiss="modal">Guardar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script>
    function mostrarContraseña(input) {
        if (input.type === "password") {
            input.type = "text";
        } else {
            input.type = "password";
        }
    }
</script>
{% endblock %}